%define with_internal_jsr311 1
Name:          jersey
Version:       1.9.1
Release:       %mkrel 1
Summary:       JAX-RS (JSR 311) production quality Reference Implementation
Group:         Development/Java
License:       CDDL, GPL
Url:           http://jersey.java.net/
# svn checkout https://svn.java.net/svn/jersey~svn/tags/jersey-1.9.1/jersey-1.9.1/jersey jersey-1.9.1
# tar czf jersey-1.9.1-src-svn.tar.gz jersey-1.9.1
Source0:       jersey-1.9.1-src-svn.tar.gz
Source1:       jersey-1.9.1-depmap
# felix org.osgi.core
Patch0:        jersey-1.9.1-core-pom.patch
# remove com.sun.net.httpserver http 20070405 test
Patch1:        jersey-1.9.1-client-pom.patch

# remove OSGi support
Patch2:        jersey-1.9.1-jersey-atom-pom.patch
Patch3:        jersey-1.9.1-jersey-fastinfoset-pom.patch
Patch4:        jersey-1.9.1-jersey-json-pom.patch
Patch5:        jersey-1.9.1-jersey-core-pom.patch
Patch6:        jersey-1.9.1-jersey-client-pom.patch

Patch7:        jersey-1.9.1-jersey-parent-no-jvnet-parent.patch
Patch8:        jersey-1.9.1-jersey-parent-no-profiles.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: jvnet-parent

# cobertura 1.9.4.1
BuildRequires: cobertura
BuildRequires: felix-osgi-core
BuildRequires: geronimo-stax-1.2-api
BuildRequires: glassfish-jaxb
BuildRequires: glassfish-jaxb-api

BuildRequires: jackson
BuildRequires: javamail
BuildRequires: jdom
BuildRequires: jettison >= 1.2-4
BuildRequires: jsr311
BuildRequires: junit4
BuildRequires: rome
BuildRequires: sun-fi >= 1.2.10-2

BuildRequires: buildnumber-maven-plugin
BuildRequires: findbugs-maven-plugin

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-deploy-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-jaxb2-plugin
BuildRequires: maven-jflex-plugin
BuildRequires: maven-plugin-build-helper
BuildRequires: maven-plugin-bundle
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: sun-istack-commons >= 2.4-3


# jersey-server
# ant ant 1.6.5

# org.glassfish javax.ejb 3.1
# https://svn.java.net/svn/glassfish~svn/tags/3.1.1/ejb/javax.ejb

# javax.servlet javax.servlet-api 3.0.1
# https://svn.java.net/svn/glassfish~svn/tags/javax.servlet-api-3.0.1/

# org.jboss.weld weld-osgi-bundle 1.1.0.Final
# https://github.com/weld/core/blob/1.1.2.Final/bundles/osgi/pom.xml

# com.sun.tools.xjc.maven2 maven-jaxb-plugin 1.1.1
# BuildRequires: maven-jaxb-plugin
# BuildRequires: apache-commons-io
# BuildRequires: glassfish-persistence-1.0b-api
# javax.servlet jsp-api 2.0
# BuildRequires: tomcat5-jsp-2.0-api
# BuildRequires: objectweb-asm

# jersey-server-linking
# BuildRequires: glassfish-el


# BuildRequires: aspectj
# BuildRequires: cglib
# BuildRequires: spring2-aop
# BuildRequires: spring2-beans
# BuildRequires: spring2-context
# BuildRequires: spring2-core
# BuildRequires: spring2-web


Requires:      felix-osgi-core
Requires:      glassfish-jaxb
Requires:      glassfish-jaxb-api
Requires:      jackson
Requires:      javamail
Requires:      jdom
Requires:      jettison >= 1.2-4
Requires:      jsr311
Requires:      jvnet-parent
Requires:      rome
Requires:      sun-fi >= 1.2.10-2


Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Jersey is the open source JAX-RS (JSR 311)
production quality Reference Implementation
for building RESTful Web services.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}

%prep
%setup -q
%if %with_internal_jsr311
%patch0 -p0
%patch1 -p0
%else
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%endif
#%patch7 -p0
%patch8 -p0

# TODO
sed -i "s|<version>1.9.4.1</version>|<version>1.9.3</version>|"  pom.xml
sed -i "s|<module>contribs</module>|<!--module>contribs</module-->|"  pom.xml
sed -i "s|<module>jersey-documentation</module>|<!--module>jersey-documentation</module-->|"  pom.xml
sed -i "s|<module>jersey-grizzly</module>|<!--module>jersey-grizzly</module-->|"  pom.xml
sed -i "s|<module>jersey-grizzly2</module>|<!--module>jersey-grizzly2</module-->|"  pom.xml
sed -i "s|<module>jersey-jrebel</module>|<!--module>jersey-jrebel</module-->|"  pom.xml
sed -i "s|<module>jersey-server-linking</module>|<!--module>jersey-server-linking</module-->|"  pom.xml
sed -i "s|<module>jersey-server</module>|<!--module>jersey-server</module-->|"  pom.xml
sed -i "s|<module>jersey-test-framework</module>|<!--module>jersey-test-framework</module-->|"  pom.xml
sed -i "s|<module>jersey-tests</module>|<!--module>jersey-tests</module-->|"  pom.xml
sed -i "s|<module>samples</module>|<!--module>samples</module-->|"  pom.xml
sed -i "s|<module>tests</module>|<!--module>tests</module-->|"  pom.xml

%build

mvn-rpmbuild \
  -e \
  -Dmaven.test.failure.ignore=true \
  install javadoc:aggregate

#   -Dmaven.local.depmap.file=%{SOURCE1} \

%install
mkdir -p %{buildroot}%{_javadir}
install -pm 644 %{name}-atom/target/%{name}-atom-%{version}.jar %{buildroot}%{_javadir}/%{name}-atom.jar
install -pm 644 %{name}-client/target/%{name}-client-%{version}.jar %{buildroot}%{_javadir}/%{name}-client.jar
install -pm 644 %{name}-core/target/%{name}-core-%{version}.jar %{buildroot}%{_javadir}/%{name}-core.jar
install -pm 644 %{name}-fastinfoset/target/%{name}-fastinfoset-%{version}.jar %{buildroot}%{_javadir}/%{name}-fastinfoset.jar
install -pm 644 %{name}-json/target/%{name}-json-%{version}.jar %{buildroot}%{_javadir}/%{name}-json.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-project.pom
%add_maven_depmap JPP-%{name}-project.pom
install -pm 644 %{name}-atom/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-atom.pom
%add_maven_depmap JPP-%{name}-atom.pom %{name}-atom.jar
install -pm 644 %{name}-client/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-client.pom
%add_maven_depmap JPP-%{name}-client.pom %{name}-client.jar
install -pm 644 %{name}-core/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-core.pom
%add_maven_depmap JPP-%{name}-core.pom %{name}-core.jar
install -pm 644 %{name}-fastinfoset/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-fastinfoset.pom
%add_maven_depmap JPP-%{name}-fastinfoset.pom %{name}-fastinfoset.jar
install -pm 644 %{name}-json/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-json.pom
%add_maven_depmap JPP-%{name}-json.pom %{name}-json.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc changes.txt dependencies.html getting-started.html license.html

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Dec 03 2011 gil <gil> 1.9.1-1.mga2
+ Revision: 175557
- remove patch7 built with jvnet-parent support
- build fix
  added OSGi support
- changes removed for jersey-server
- build fix
  added proper BR version/release
- imported package jersey

